/****************************************************************************
 *
 * Copyright (c) 2008-2012, EBM WebSourcing - All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 *     * Redistributions of source code must retain the above copyright
 *       notice, this list of conditions and the following disclaimer.
 *     * Redistributions in binary form must reproduce the above copyright
 *       notice, this list of conditions and the following disclaimer in the
 *       documentation and/or other materials provided with the distribution.
 *     * Neither the name of the University of California, Berkeley nor the
 *       names of its contributors may be used to endorse or promote products
 *       derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE REGENTS AND CONTRIBUTORS BE LIABLE FOR ANY
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 ****************************************************************************/
 
package org.ow2.easywsdl.schema.impl;

import javax.xml.namespace.QName;

import org.ow2.easywsdl.schema.api.Attribute;
import org.ow2.easywsdl.schema.api.Restriction;
import org.ow2.easywsdl.schema.api.SimpleType;
import org.ow2.easywsdl.schema.api.abstractElmt.AbstractSchemaElementImpl;
import org.ow2.easywsdl.schema.api.abstractElmt.AbstractSimpleTypeImpl;

/**
 * @author Nicolas Salatge - EBM WebSourcing
 */
public class SimpleTypeImpl
        extends
        AbstractSimpleTypeImpl<org.ow2.easywsdl.schema.org.w3._2001.xmlschema.SimpleType, String, Attribute, Restriction>
        implements SimpleType {

    /**
	 *
	 */
    private static final long serialVersionUID = 1L;

    public SimpleTypeImpl(
            final org.ow2.easywsdl.schema.org.w3._2001.xmlschema.SimpleType model,
            final AbstractSchemaElementImpl parent) {
        super(model, parent);

		// get restriction
		if(this.model.getRestriction() != null) {
			this.restriction = new RestrictionImpl(this.model.getRestriction(), this);
		}
    }

    public QName getQName() {
        QName res = null;
        if ((this.getModel()).getName() != null) {
            res = new QName(this.parent.getSchema().getTargetNamespace(), (this.getModel()).getName());
        } else {
            res = null;
        }
        return res;
    }

    public void setQName(QName name) {
    	this.model.setName(name.getLocalPart());
    }

    public void setRestriction(Restriction restriction){
    	super.setRestriction(restriction);
		this.model.setRestriction((org.ow2.easywsdl.schema.org.w3._2001.xmlschema.Restriction)((AbstractSchemaElementImpl)this.restriction).getModel());
    }

    public Restriction createRestriction(){
    	return new RestrictionImpl(new org.ow2.easywsdl.schema.org.w3._2001.xmlschema.Restriction(), this);
    }
    
}
